List Deals
Returns a paginated list of deals.
Authorization
bearerAuth In: header
Query Parameters
Filters resources by contact.
uuidFilters by any of the supplied contact values.
items <= 10Identifier assigned by an external system.
Filters by any of the supplied external id values.
items <= 10Filters resources by status key.
Filters by any of the supplied status key values.
Filters resources by type key.
Filters by any of the supplied type key values.
Filters resources by assignee.
uuidFilters by any of the supplied assignee values.
items <= 10Filters for resources where assignee is null.
Filters for resources where assignee is not null.
Filters resources by value.
Only returns resources whose value is greater than this value.
Only returns resources whose value is greater than or equal to this value.
Only returns resources whose value is less than this value.
Only returns resources whose value is less than or equal to this value.
Maximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.
items <= 10Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/deals"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "name": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8", "type_key": "string", "status_key": "string", "value": 0, "currency": "CHF", "won_at": "2019-08-24T14:15:22Z", "lost_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "contact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "status": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "type": "in_progress", "idx": 9007199254740991 }, "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "username": "string", "full_name": "string", "email": "string", "locale": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "property1": "string", "property2": "string" } ], "next_page_url": "string", "previous_page_url": "string"}